## etckeeper 0.56ubuntu2

=== debian/changelog ===
etckeeper (0.56ubuntu2) oneiric; urgency=low

  * Added dependency on hostname (LP: #822613)

 -- Marc Cluet <marc.cluet@ubuntu.com>  Fri, 19 Aug 2011 11:56:03 +0100

etckeeper (0.56ubuntu1) oneiric; urgency=low

  * Merge from debian unstable. (LP: #817074) Remaining changes:
    - etckeeper.conf, debian/control: default to bzr.
    - etckeeper.spec: Change version to match Ubuntu version
    - commit.d/50vcs-commit: Avoid failure in initial commit if etckeeper
      is not installed from a tty (like early during installation)
  * Dropped change, fixed in Debian:
    - Convert from python-central to dh_python2

 -- Angel Abad <angelabad@ubuntu.com>  Thu, 28 Jul 2011 00:13:53 +0200

etckeeper (0.55ubuntu2) oneiric; urgency=low

  * Convert from python-central to dh_python2

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Thu, 23 Jun 2011 21:58:49 +0000

etckeeper (0.55ubuntu1) oneiric; urgency=low

  * Merge from debian unstable. (LP: #800034) Remaining changes:
    - etckeeper.conf, debian/control: default to bzr.
    - etckeeper.spec: Change version to match Ubuntu version
    - commit.d/50vcs-commit: Avoid failure in initial commit if etckeeper
      is not installed from a tty (like early during installation)

 -- Adam Gandelman <adamg@canonical.com>  Tue, 21 Jun 2011 17:14:20 +0100

etckeeper (0.54ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - etckeeper.conf, debian/control: default to bzr.
    - etckeeper.spec: Change version to match Ubuntu version
    - commit.d/50vcs-commit: Avoid failure in initial commit if etckeeper
      is not installed from a tty (like early during installation)

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 31 May 2011 08:11:31 +0100

etckeeper (0.53ubuntu1) oneiric; urgency=low

  * Merge from debian unstable. (LP: #782583) Remaining changes:
    - etckeeper.conf, debian/control: default to bzr.
    - etckeeper.spec: Change version to match Ubuntu version
    - commit.d/50vcs-commit: Avoid failure in initial commit if etckeeper
      is not installed from a tty (like early during installation)

 -- Angel Abad <angelabad@ubuntu.com>  Sun, 15 May 2011 15:10:40 +0100

=== debian/control ===
Source: etckeeper
Section: admin
Priority: optional
Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.9.0), bzr (>= 1.5~), python
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
Standards-Version: 3.9.2
XS-Python-Version: all
Vcs-Git: git://git.kitenet.net/etckeeper
Homepage: http://kitenet.net/~joey/code/etckeeper/

Package: etckeeper
Architecture: all
Section: admin
Depends: bzr (>= 1.5~) | git-core (>= 1:1.5.4) | git (>= 1:1.7) | mercurial | darcs, hostname, ${misc:Depends}, ${python:Depends}
Recommends: cron
Suggests: sudo (>= 1.7.4p4)
Conflicts: bzr (<< 1.5~)
Description: store /etc in git, mercurial, bzr or darcs
 The etckeeper program is a tool to let /etc be stored in a git, mercurial,
 bzr or darcs repository. It hooks into APT to automatically commit changes
 made to /etc during package upgrades. It tracks file metadata that version
 control systems do not normally support, but that is important for /etc, such
 as the permissions of /etc/shadow. It's quite modular and configurable, while
 also being simple to use if you understand the basics of working with version
 control.

## etckeeper 0.56ubuntu2.1

=== Makefile ===
# You should configure etckeeper.conf for your distribution before
# installing etckeeper.
CONFFILE=etckeeper.conf
include $(CONFFILE)

DESTDIR?=
prefix=/usr
bindir=${prefix}/bin
etcdir=/etc
mandir=${prefix}/share/man
vardir=/var

INSTALL=install 
INSTALL_EXE=${INSTALL} -D
INSTALL_DATA=${INSTALL} -m 0644 -D

build: etckeeper.spec
	-./etckeeper-bzr/__init__.py build || echo "** bzr support not built"
	
install:
	mkdir -p $(DESTDIR)$(etcdir)/etckeeper/ $(DESTDIR)$(vardir)/cache/etckeeper/
	cp -dR *.d $(DESTDIR)$(etcdir)/etckeeper/
	$(INSTALL_DATA) $(CONFFILE) $(DESTDIR)$(etcdir)/etckeeper/etckeeper.conf
	$(INSTALL_EXE) etckeeper $(DESTDIR)$(bindir)/etckeeper
	$(INSTALL_DATA) etckeeper.8 $(DESTDIR)$(mandir)/man8/etckeeper.8
	$(INSTALL_DATA) bash_completion $(DESTDIR)$(etcdir)/bash_completion.d/etckeeper
ifeq ($(HIGHLEVEL_PACKAGE_MANAGER),apt)
	$(INSTALL_DATA) apt.conf $(DESTDIR)$(etcdir)/apt/apt.conf.d/05etckeeper
	mkdir -p $(DESTDIR)$(etcdir)/cruft/filters-unex
	$(INSTALL_DATA) cruft_filter $(DESTDIR)$(etcdir)/cruft/filters-unex/etckeeper
endif
ifeq ($(LOWLEVEL_PACKAGE_MANAGER),pacman-g2)
	$(INSTALL_DATA) pacman-g2.hook $(DESTDIR)$(etcdir)/pacman-g2/hooks/etckeeper
endif
ifeq ($(HIGHLEVEL_PACKAGE_MANAGER),yum)
	$(INSTALL_DATA) yum-etckeeper.py $(DESTDIR)$(prefix)/lib/yum-plugins/etckeeper.py
	$(INSTALL_DATA) yum-etckeeper.conf $(DESTDIR)$(etcdir)/yum/pluginconf.d/etckeeper.conf
endif
	-./etckeeper-bzr/__init__.py install --root=$(DESTDIR) || echo "** bzr support not installed"
	echo "** installation successful"

clean: etckeeper.spec
	rm -rf build

etckeeper.spec:
	sed -i~ "s/Version:.*/Version: $$(perl -e '$$_=<>;print m/\((.*?)\)/'<debian/changelog)/" etckeeper.spec
	rm -f etckeeper.spec~

.PHONY: etckeeper.spec

=== debian/changelog ===
etckeeper (0.56ubuntu2.1) oneiric-proposed; urgency=low

  * etckeeper: LP: #872553, #791839
    - ensure that LANG is set, default to UTF8, necessary for bzr to
      function properly in non-interactive shells (eg, cron); user's
      local LANG will override if set

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 12 Oct 2011 12:18:25 -0500

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh --with python2 $@

# Not intended for use by anyone except the author.
announcedir:
	@echo ${HOME}/src/joeywiki/code/etckeeper/news

## etckeeper 0.58

=== debian/changelog ===
etckeeper (0.58) unstable; urgency=low

  * Changed to store all permissions of files and directories, even those
    with standard permissions of 644 and 755. This is unfortunately necessary
    in order to support etckeeper init on a checkout that was made with a
    nonstandard umask, in which case the files that were expected to be
    644 and 755, won't be. Closes: #649701
    Thanks to Дмитрий Матросов for reporting the bug and developing
    a fixup script (attached to the bug) which could be used if you've
    already encountered this problem.
  * Bugfix for filenames containing single quotes.
  * Use git add -A, which automatically removes deleted files,
    and avoids a separate call to git add -u.
    Thanks to Miklos Vajna, whose patch in 2008 was deferred
    because -A was then too new, and languished in a branch until found today.
  * Optimised metadata storage.
  * cron.daily: Don't stop committing when a stale packagelist.pre-install
    file exists.
    Thanks to gulikoza for noticing this bug.

 -- Joey Hess <joeyh@debian.org>  Fri, 25 Nov 2011 20:03:36 -0400

etckeeper (0.57) unstable; urgency=low

  * Use find -path instead of less portable find -wholename.

 -- Joey Hess <joeyh@debian.org>  Fri, 04 Nov 2011 17:03:46 -0400

## etckeeper 0.59

=== debian/changelog ===
etckeeper (0.59) unstable; urgency=low

  * Add /etc/cups/subscriptions.conf to default ignores, as the content of
    this file does not normally contain configuration and it changes
    frequently. Closes: #651168
  * Shell quoting fix. Thanks, Daniel Hahler

 -- Joey Hess <joeyh@debian.org>  Thu, 22 Dec 2011 11:48:50 -0400

## etckeeper 0.61

=== debian/changelog ===
etckeeper (0.61) unstable; urgency=low

  * Fix up botched git-rm conffile removal from 0.58.
    The file could be in any of three states; absent, present, or .dpkg-dist.
    Finish fully removing it. Closes: #655836

 -- Joey Hess <joeyh@debian.org>  Sat, 14 Jan 2012 12:42:50 -0400

etckeeper (0.60) unstable; urgency=low

  * Updated Dutch translation of debconf templates. Closes: #654244
  * Support -h and --help. Closes: #654188
  * Fix typo in bugfix for #651168.
  * Improve yum hook to avoid running if etckeeper was just removed.
    Thanks, Mykola Marzhan

 -- Joey Hess <joeyh@debian.org>  Fri, 06 Jan 2012 19:23:42 -0400

## etckeeper 0.61ubuntu2

=== debian/changelog ===
etckeeper (0.61ubuntu2) precise; urgency=low

  * Update tutorial to use bzr. LP: #945453

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 26 Mar 2012 16:08:37 +0100

etckeeper (0.61ubuntu1) precise; urgency=low

  [Chuck Short]
  * Merge from Debian testing.  Remaining changes:
   - etckeeper.conf, debian/control: default to bzr.
   - etckeeper.spec: Change version to match Ubuntu version
   - commit.d/50vcs-commit: Avoid failure in initial commit if etckeeper
     is not installed from a tty (like early during installation)
   - debian/control: Added dependency on hostname.
   - etckeeper: Ensure that LANG is set, default to UTF8, necessary for
     bzr to function properly in non-interactive shells (eg, cron); user's
     local LANG will override if set.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 06 Feb 2012 07:49:28 -0500

etckeeper (0.59ubuntu1) precise; urgency=low

  * Merge from Debian Testing. Remaining Ubuntu changes:
   - etckeeper.conf, debian/control: default to bzr.
   - etckeeper.spec: Change version to match Ubuntu version
   - commit.d/50vcs-commit: Avoid failure in initial commit if etckeeper
     is not installed from a tty (like early during installation)
   - debian/control: Added dependency on hostname.
   - etckeeper: Ensure that LANG is set, default to UTF8, necessary for
     bzr to function properly in non-interactive shells (eg, cron); user's
     local LANG will override if set.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Fri, 06 Jan 2012 19:42:39 -0500

etckeeper (0.58ubuntu1) precise; urgency=low

  * Merge from Debian testing.  Remaining Ubuntu changes:
    - Merge closes LP: #900662
    - ensure that LANG is set, default to UTF8, necessary for bzr to
      function properly in non-interactive shells (eg, cron); user's
      local LANG will override if set. (LP: #872553 LP: #791839)

 -- Barry Warsaw <barry@ubuntu.com>  Tue, 06 Dec 2011 15:04:51 -0500

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Package: etckeeper
 Architecture: all
 Section: admin
-Depends: bzr (>= 1.5~) | git-core (>= 1:1.5.4) | git (>= 1:1.7) | mercurial | darcs, hostname, ${misc:Depends}, ${python:Depends}
+Depends: bzr (>= 1.5~) | git (>= 1:1.7) | mercurial | darcs, hostname, ${misc:Depends}
 Recommends: cron
 Suggests: sudo (>= 1.7.4p4)
 Conflicts: bzr (<< 1.5~)

## etckeeper 0.62

=== debian/changelog ===
etckeeper (0.62) unstable; urgency=low

  * Autocommit git staged files. Closes: #662614

 -- Joey Hess <joeyh@debian.org>  Mon, 05 Mar 2012 10:41:46 -0400

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: admin
 Priority: optional
 Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.9.0), bzr (>= 1.5~), python
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
+Maintainer: Joey Hess <joeyh@debian.org>
 Standards-Version: 3.9.2
 XS-Python-Version: all
 Vcs-Git: git://git.kitenet.net/etckeeper
@@ -12,7 +11,7 @@
 Package: etckeeper
 Architecture: all
 Section: admin
-Depends: bzr (>= 1.5~) | git (>= 1:1.7) | mercurial | darcs, hostname, ${misc:Depends}
+Depends: git (>= 1:1.7) | mercurial | bzr (>= 1.5~) | darcs, ${misc:Depends}
 Recommends: cron
 Suggests: sudo (>= 1.7.4p4)
 Conflicts: bzr (<< 1.5~)

## etckeeper 0.63

=== Makefile ===
--- 
+++ 
@@ -36,7 +36,7 @@
 	$(INSTALL_DATA) yum-etckeeper.py $(DESTDIR)$(prefix)/lib/yum-plugins/etckeeper.py
 	$(INSTALL_DATA) yum-etckeeper.conf $(DESTDIR)$(etcdir)/yum/pluginconf.d/etckeeper.conf
 endif
-	-./etckeeper-bzr/__init__.py install --root=$(DESTDIR) || echo "** bzr support not installed"
+	-./etckeeper-bzr/__init__.py install --root=$(DESTDIR) ${PYTHON_INSTALL_OPTS} || echo "** bzr support not installed"
 	echo "** installation successful"
 
 clean: etckeeper.spec

=== debian/changelog ===
etckeeper (0.63) unstable; urgency=low

  * bzr: Improve detection of unclean repos, to work when there are shelved
    changes.
  * uninit: Now preserves parts of the gitignore and similar files that
    are outside the managed by etckeeper block. Closes: #673996
    Thanks, David De La Harpe Golden (Squared Financial)

 -- Joey Hess <joeyh@debian.org>  Sat, 02 Jun 2012 18:22:37 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.9.0), bzr (>= 1.5~), python
 Maintainer: Joey Hess <joeyh@debian.org>
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 XS-Python-Version: all
 Vcs-Git: git://git.kitenet.net/etckeeper
 Homepage: http://kitenet.net/~joey/code/etckeeper/

## etckeeper 0.64ubuntu1

=== debian/changelog ===
etckeeper (0.64ubuntu1) raring; urgency=low

  * Resynchronise with Debian (bzr change in 0.63 fixes LP: #979223).
    Remaining changes:
   - etckeeper.conf, debian/control: default to bzr.
   - etckeeper.spec: Change version to match Ubuntu version
   - commit.d/50vcs-commit: Avoid failure in initial commit if etckeeper is
     not installed from a tty (like early during installation).
   - debian/control: Added dependency on hostname.
   - etckeeper: Ensure that LANG is set, default to UTF8, necessary for bzr
     to function properly in non-interactive shells (eg, cron); user's local
     LANG will override if set.
   - README: Update tutorial to use bzr.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 08 Jan 2013 10:42:24 +0000

etckeeper (0.64) unstable; urgency=low

  * Added support for openSUSE's zypper package manager.
    Thanks, Catalin Iacob
  * Add Brazilian Portuguese debconf translation.
    Closes: #685771 Thanks, Adriano Rafael Gomes

 -- Joey Hess <joeyh@debian.org>  Sat, 25 Aug 2012 11:53:08 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: admin
 Priority: optional
 Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.9.0), bzr (>= 1.5~), python
-Maintainer: Joey Hess <joeyh@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
 Standards-Version: 3.9.3
 XS-Python-Version: all
 Vcs-Git: git://git.kitenet.net/etckeeper
@@ -11,7 +12,7 @@
 Package: etckeeper
 Architecture: all
 Section: admin
-Depends: git (>= 1:1.7) | mercurial | bzr (>= 1.5~) | darcs, ${misc:Depends}
+Depends: bzr (>= 1.5~) | git (>= 1:1.7) | mercurial | darcs, hostname, ${misc:Depends}
 Recommends: cron
 Suggests: sudo (>= 1.7.4p4)
 Conflicts: bzr (<< 1.5~)

## etckeeper 1.3

=== Makefile ===
--- 
+++ 
@@ -36,6 +36,9 @@
 	$(INSTALL_DATA) yum-etckeeper.py $(DESTDIR)$(prefix)/lib/yum-plugins/etckeeper.py
 	$(INSTALL_DATA) yum-etckeeper.conf $(DESTDIR)$(etcdir)/yum/pluginconf.d/etckeeper.conf
 endif
+ifeq ($(HIGHLEVEL_PACKAGE_MANAGER),zypper)
+	$(INSTALL_DATA) zypper-etckeeper.py $(DESTDIR)$(prefix)/lib/zypp/plugins/commit/zypper-etckeeper.py
+endif
 	-./etckeeper-bzr/__init__.py install --root=$(DESTDIR) ${PYTHON_INSTALL_OPTS} || echo "** bzr support not installed"
 	echo "** installation successful"

=== debian/changelog ===
etckeeper (1.3) unstable; urgency=low

  * Fix type -p bashism that crept in via recent patches. Closes: #707319

 -- Joey Hess <joeyh@debian.org>  Wed, 08 May 2013 22:36:30 -0400

etckeeper (1.2) unstable; urgency=low

  * Call type -p in a more compatable way.
  * When a file is owned by a uid or a gid with no corresponding user or
    group, put a numeric chown into .etckeeper. Previously, a broken
    chown was outputted.

 -- Joey Hess <joeyh@debian.org>  Wed, 08 May 2013 11:51:51 -0400

etckeeper (1.1) unstable; urgency=low

  * Fix warning when PUSH_REMOTE is not set. Closes: #706917

 -- Joey Hess <joeyh@debian.org>  Mon, 06 May 2013 09:49:24 -0400

etckeeper (1.0) unstable; urgency=low

  [ Joey Hess ]
  * Unset GIT_DIR and GIT_WORK_TREE. Closes: #689101
  * PUSH_REMOTE can be set to automatically push to a remote on commit.
    Thanks, L. Alberto Giménez
  * Ignore fake-hwclock.data. Closes: #701491

  [ Jelmer Vernooij ]
  * Auto-detect the VCS setting if there already is a repository in
    /etc.

 -- Joey Hess <joeyh@debian.org>  Sat, 04 May 2013 23:45:25 -0400

## etckeeper 1.4ubuntu1

=== debian/changelog ===
etckeeper (1.4ubuntu1) saucy; urgency=low

  * Merge from Debian unstable (LP: #1200508).  Remaining changes:
    - commit.d/50vcs-commit: Avoid failure in initial commit if etckeeper is
      not installed from a tty (like early during installation).
    - etckeeper.conf, debian/control: default to bzr
    - etckeeper: Ensure that LANG is set, default to UTF8, necessary for bzr
      to function properly in non-interactive shells (eg, cron); user's local
      LANG will override if set.
    - Makefile: Do not call the etckeeper.spec target in clean because it
      modifies the spec file instead of cleaning it.
    - README: Update tutorial to use bzr.

 -- Yolanda Robla <yolanda.robla@canonical.com>  Fri, 12 Jul 2013 09:28:51 +0200

etckeeper (1.4) unstable; urgency=low

  * Deal with unix^wlinux portability nonsense.

 -- Joey Hess <joeyh@debian.org>  Mon, 17 Jun 2013 12:00:59 -0400

etckeeper (1.3ubuntu1) saucy; urgency=low

  * Merge from Debian unstable (LP: #1178739).  Remaining changes:
    - etckeeper.conf, debian/control: default to bzr.
    - commit.d/50vcs-commit: Avoid failure in initial commit if etckeeper is
      not installed from a tty (like early during installation).
    - etckeeper: Ensure that LANG is set, default to UTF8, necessary for bzr
      to function properly in non-interactive shells (eg, cron); user's local
      LANG will override if set.
    - debian/control: Added dependency on hostname.
    - README: Update tutorial to use bzr.
    - Makefile: Do not call the etckeeper.spec target in clean because it
      modifies the spec file instead of cleaning it.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 10 May 2013 08:30:27 -0700

## etckeeper 1.9ubuntu2

=== Makefile ===
--- 
+++ 
@@ -42,7 +42,7 @@
 	-./etckeeper-bzr/__init__.py install --root=$(DESTDIR) ${PYTHON_INSTALL_OPTS} || echo "** bzr support not installed"
 	echo "** installation successful"
 
-clean: etckeeper.spec
+clean:
 	rm -rf build
 
 etckeeper.spec:

=== debian/changelog ===
etckeeper (1.9ubuntu2) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:47:25 +0000

etckeeper (1.9ubuntu1) trusty; urgency=low

  * Merge from Debian unstable (LP: #1246411).  Remaining changes:
    - commit.d/50vcs-commit: Avoid failure in initial commit if etckeeper is
      not installed from a tty (like early during installation).
    - etckeeper.conf, debian/control: default to bzr
    - etckeeper: Ensure that LANG is set, default to UTF8, necessary for bzr
      to function properly in non-interactive shells (eg, cron); user's local
      LANG will override if set.
    - Makefile: Do not call the etckeeper.spec target in clean because it
      modifies the spec file instead of cleaning it.
    - README: Update tutorial to use bzr.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 30 Oct 2013 12:58:55 -0400

etckeeper (1.9) unstable; urgency=low

  * Fix git update-ignore syntax. Closes: #721873

 -- Joey Hess <joeyh@debian.org>  Wed, 04 Sep 2013 21:43:42 -0400

etckeeper (1.8) unstable; urgency=low

  * Avoid listing .gitignored files in .etckeeper file. Closes: #607665
    Thanks, Zdenek Crha

 -- Joey Hess <joeyh@debian.org>  Wed, 04 Sep 2013 09:31:37 -0400

etckeeper (1.7) unstable; urgency=low

  * Fix hilarious typo hardcoding my name. Closes: #718425

 -- Joey Hess <joeyh@debian.org>  Wed, 31 Jul 2013 11:33:45 -0400

etckeeper (1.6) unstable; urgency=low

  * Guard git config calls. Closes: #717957

 -- Joey Hess <joeyh@debian.org>  Sat, 27 Jul 2013 12:24:30 -0400

etckeeper (1.5) unstable; urgency=low

  * Quote user and group names, in case one contains a space.
  * Added support for the pacman package manager.
    (Thanks, Tiago Stürmer Daitx)
  * Use user.name and user.email from the .gitconfig file belonging to the
    user who sued or sudoed to root, in preference to making up values for
    that user.
  * cron.daily: Fix typo in stale lockfile handling code.
    Closes: #717908

 -- Joey Hess <joeyh@debian.org>  Fri, 26 Jul 2013 11:03:48 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.9.0), bzr (>= 1.5~), python
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 XS-Python-Version: all
 Vcs-Git: git://git.kitenet.net/etckeeper
 Homepage: http://kitenet.net/~joey/code/etckeeper/

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+export PYTHON_INSTALL_OPTS=--install-layout=deb
+
 %:
 	dh --with python2 $@

## etckeeper 1.10

=== debian/changelog ===
etckeeper (1.10) unstable; urgency=low

  * Remove lvm/backup from default ignores, because lvm
    documentation recommends backing that up, for use by
    vgcfgrestore.
  * Fix exporting of some git variables. Closes: #728583

 -- Joey Hess <joeyh@debian.org>  Sun, 03 Nov 2013 12:14:02 -0400

## etckeeper 1.11ubuntu1

=== debian/changelog ===
etckeeper (1.11ubuntu1) utopic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - commit.d/50vcs-commit: Avoid failure in initial commit if etckeeper is
      not installed from a tty (like early during installation).
    - etckeeper.conf, debian/control: default to bzr
    - etckeeper: Ensure that LANG is set, default to UTF8, necessary for bzr
      to function properly in non-interactive shells (eg, cron); user's local
      LANG will override if set.
    - Makefile: Do not call the etckeeper.spec target in clean because it
      modifies the spec file instead of cleaning it.
    - README: Update tutorial to use bzr.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 04 Jun 2014 08:27:24 +0200

etckeeper (1.11) unstable; urgency=low

  * Fix too broad matching of .gitignored files.
    Closes: #732339

 -- Joey Hess <joeyh@debian.org>  Tue, 17 Dec 2013 22:24:29 -0400

## etckeeper 1.11ubuntu1.2

=== debian/changelog ===
etckeeper (1.11ubuntu1.2) utopic; urgency=medium

  * supplement the last upload. make sure to fix permission on package
    upgrade as well, LP: #1402657

 -- Nobuto Murata <nobuto@ubuntu.com>  Thu, 05 Mar 2015 23:00:15 +0900

etckeeper (1.11ubuntu1.1) utopic; urgency=medium

  * restore executable permission of /etc/etckeeper/commit.d/50vcs-commit,
    thanks to Hilario J. Montoliu for offering a patch, LP: #1402657

 -- Nobuto Murata <nobuto@ubuntu.com>  Mon, 16 Feb 2015 10:11:36 +0100

## etckeeper 1.14

=== Makefile ===
# You should configure etckeeper.conf for your distribution before
# installing etckeeper.
CONFFILE=etckeeper.conf
include $(CONFFILE)

DESTDIR?=
prefix=/usr
bindir=${prefix}/bin
etcdir=/etc
mandir=${prefix}/share/man
vardir=/var
CP=cp -R
INSTALL=install 
INSTALL_EXE=${INSTALL}
INSTALL_DATA=${INSTALL} -m 0644
PYTHON=python

build: etckeeper.spec
	-$(PYTHON) ./etckeeper-bzr/__init__.py build || echo "** bzr support not built"

install:
	mkdir -p $(DESTDIR)$(etcdir)/etckeeper/ $(DESTDIR)$(vardir)/cache/etckeeper/
	$(CP) *.d $(DESTDIR)$(etcdir)/etckeeper/
	$(INSTALL_DATA) $(CONFFILE) $(DESTDIR)$(etcdir)/etckeeper/etckeeper.conf
	mkdir -p $(DESTDIR)$(bindir)
	$(INSTALL_EXE) etckeeper $(DESTDIR)$(bindir)/etckeeper
	mkdir -p $(DESTDIR)$(mandir)/man8
	$(INSTALL_DATA) etckeeper.8 $(DESTDIR)$(mandir)/man8/etckeeper.8
	mkdir -p $(DESTDIR)$(etcdir)/bash_completion.d
	$(INSTALL_DATA) bash_completion $(DESTDIR)$(etcdir)/bash_completion.d/etckeeper
ifeq ($(HIGHLEVEL_PACKAGE_MANAGER),apt)
	mkdir -p $(DESTDIR)$(etcdir)/apt/apt.conf.d
	$(INSTALL_DATA) apt.conf $(DESTDIR)$(etcdir)/apt/apt.conf.d/05etckeeper
	mkdir -p $(DESTDIR)$(etcdir)/cruft/filters-unex
	$(INSTALL_DATA) cruft_filter $(DESTDIR)$(etcdir)/cruft/filters-unex/etckeeper
endif
ifeq ($(LOWLEVEL_PACKAGE_MANAGER),pacman-g2)
	mkdir -p $(DESTDIR)$(etcdir)/pacman-g2/hooks
	$(INSTALL_DATA) pacman-g2.hook $(DESTDIR)$(etcdir)/pacman-g2/hooks/etckeeper
endif
ifeq ($(HIGHLEVEL_PACKAGE_MANAGER),yum)
	mkdir -p $(DESTDIR)$(prefix)/lib/yum-plugins
	$(INSTALL_DATA) yum-etckeeper.py $(DESTDIR)$(prefix)/lib/yum-plugins/etckeeper.py
	mkdir -p $(DESTDIR)$(etcdir)/yum/pluginconf.d
	$(INSTALL_DATA) yum-etckeeper.conf $(DESTDIR)$(etcdir)/yum/pluginconf.d/etckeeper.conf
endif
ifeq ($(HIGHLEVEL_PACKAGE_MANAGER),zypper)
	mkdir -p $(DESTDIR)$(prefix)/lib/zypp/plugins/commit
	$(INSTALL) zypper-etckeeper.py $(DESTDIR)$(prefix)/lib/zypp/plugins/commit/zypper-etckeeper.py
endif
	-$(PYTHON) ./etckeeper-bzr/__init__.py install --root=$(DESTDIR) ${PYTHON_INSTALL_OPTS} || echo "** bzr support not installed"
	echo "** installation successful"

clean: etckeeper.spec
	rm -rf build

etckeeper.spec:
	sed -i~ "s/Version:.*/Version: $$(perl -e '$$_=<>;print m/\((.*?)\)/'<debian/changelog)/" etckeeper.spec
	rm -f etckeeper.spec~

.PHONY: etckeeper.spec

=== debian/changelog ===
etckeeper (1.14) unstable; urgency=medium

  * Handle failure to commit in post-install, pre-install by showing a
    warning, rather than propigating the error to apt.
    This avoids breaking the apt run when eg, git is misconfigured and
    cannot commit.
    pre-install already did this when it was able to use debconf to display a
    message, but now debconf is not used, and it always behaves this way.
    Closes: #760011

 -- Joey Hess <joeyh@debian.org>  Thu, 04 Sep 2014 15:47:32 -0400

etckeeper (1.13) unstable; urgency=medium

  * Ignore check-mk-agent-logwatch's FHS violating
    /etc/check_mk/logwatch.state. Closes: #753903
  * Only allow [-a-z_] in etckeeper commands to avoid any possible directory
    traversal etc issues.
  * update-ignore, uninit: Fix parsing of ignore files containing '\'

 -- Joey Hess <joeyh@debian.org>  Sat, 09 Aug 2014 13:05:55 -0400

etckeeper (1.12) unstable; urgency=medium

  * Portability fixes. Thanks, Harald Dunkel.
  * Add support for pushing to multiple remote repositories.
    Thanks, Rouben.
  * Fix handling of git ignores like dir/*
    Thanks, Pim van den Berg

 -- Joey Hess <joeyh@debian.org>  Fri, 13 Jun 2014 12:03:06 -0400

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: admin
 Priority: optional
 Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.9.0), bzr (>= 1.5~), python
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
+Maintainer: Joey Hess <joeyh@debian.org>
 Standards-Version: 3.9.4
 XS-Python-Version: all
 Vcs-Git: git://git.kitenet.net/etckeeper
@@ -12,7 +11,7 @@
 Package: etckeeper
 Architecture: all
 Section: admin
-Depends: bzr (>= 1.5~) | git (>= 1:1.7) | mercurial | darcs, hostname, ${misc:Depends}
+Depends: git (>= 1:1.7) | mercurial | bzr (>= 1.5~) | darcs, ${misc:Depends}
 Recommends: cron
 Suggests: sudo (>= 1.7.4p4)
 Conflicts: bzr (<< 1.5~)

## etckeeper 1.15

=== debian/changelog ===
etckeeper (1.15) unstable; urgency=medium

  * Recommend cron-daemon, rather than cron, as etckeeper only needs
    cron.daily functionality. Closes: #762721

 -- Joey Hess <joeyh@debian.org>  Thu, 16 Oct 2014 12:21:48 -0400

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Architecture: all
 Section: admin
 Depends: git (>= 1:1.7) | mercurial | bzr (>= 1.5~) | darcs, ${misc:Depends}
-Recommends: cron
+Recommends: cron-daemon
 Suggests: sudo (>= 1.7.4p4)
 Conflicts: bzr (<< 1.5~)
 Description: store /etc in git, mercurial, bzr or darcs

## etckeeper 1.15ubuntu3

=== Makefile ===
--- 
+++ 
@@ -51,7 +51,7 @@
 	-$(PYTHON) ./etckeeper-bzr/__init__.py install --root=$(DESTDIR) ${PYTHON_INSTALL_OPTS} || echo "** bzr support not installed"
 	echo "** installation successful"
 
-clean: etckeeper.spec
+clean:
 	rm -rf build
 
 etckeeper.spec:

=== debian/changelog ===
etckeeper (1.15ubuntu3) vivid; urgency=medium

  * supplement the last upload. make sure to fix permission on package
    upgrade as well, LP: #1402657

 -- Nobuto Murata <nobuto@ubuntu.com>  Thu, 05 Mar 2015 22:51:17 +0900

etckeeper (1.15ubuntu2) vivid; urgency=medium

  * restore executable permission of /etc/etckeeper/commit.d/50vcs-commit,
    thanks to Hilario J. Montoliu for offering a patch, LP: #1402657

 -- Nobuto Murata <nobuto@ubuntu.com>  Sat, 14 Feb 2015 18:55:13 +0900

etckeeper (1.15ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - commit.d/50vcs-commit: Avoid failure in initial commit if etckeeper is
      not installed from a tty (like early during installation).
    - etckeeper.conf, debian/control: default to bzr
    - etckeeper: Ensure that LANG is set, default to UTF8, necessary for bzr
      to function properly in non-interactive shells (eg, cron); user's local
      LANG will override if set.
    - Makefile: Do not call the etckeeper.spec target in clean because it
      modifies the spec file instead of cleaning it.
    - README.md: Update tutorial to use bzr.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 27 Oct 2014 10:35:02 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: admin
 Priority: optional
 Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.9.0), bzr (>= 1.5~), python
-Maintainer: Joey Hess <joeyh@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
 Standards-Version: 3.9.4
 XS-Python-Version: all
 Vcs-Git: git://git.kitenet.net/etckeeper
@@ -11,7 +12,7 @@
 Package: etckeeper
 Architecture: all
 Section: admin
-Depends: git (>= 1:1.7) | mercurial | bzr (>= 1.5~) | darcs, ${misc:Depends}
+Depends: bzr (>= 1.5~) | git (>= 1:1.7) | mercurial | darcs, hostname, ${misc:Depends}
 Recommends: cron-daemon
 Suggests: sudo (>= 1.7.4p4)
 Conflicts: bzr (<< 1.5~)

## etckeeper 1.18.2

=== Makefile ===
--- 
+++ 
@@ -15,10 +15,11 @@
 INSTALL_DATA=${INSTALL} -m 0644
 PYTHON=python
 
-build: etckeeper.spec
+build: etckeeper.spec etckeeper.version
 	-$(PYTHON) ./etckeeper-bzr/__init__.py build || echo "** bzr support not built"
+	-$(PYTHON) ./etckeeper-dnf/etckeeper.py build || echo "** DNF support not built"
 
-install:
+install: etckeeper.version
 	mkdir -p $(DESTDIR)$(etcdir)/etckeeper/ $(DESTDIR)$(vardir)/cache/etckeeper/
 	$(CP) *.d $(DESTDIR)$(etcdir)/etckeeper/
 	$(INSTALL_DATA) $(CONFFILE) $(DESTDIR)$(etcdir)/etckeeper/etckeeper.conf
@@ -44,6 +45,9 @@
 	mkdir -p $(DESTDIR)$(etcdir)/yum/pluginconf.d
 	$(INSTALL_DATA) yum-etckeeper.conf $(DESTDIR)$(etcdir)/yum/pluginconf.d/etckeeper.conf
 endif
+ifeq ($(HIGHLEVEL_PACKAGE_MANAGER),dnf)
+	-$(PYTHON) ./etckeeper-dnf/etckeeper.py install --root=$(DESTDIR) ${PYTHON_INSTALL_OPTS} || echo "** DNF support not installed"
+endif
 ifeq ($(HIGHLEVEL_PACKAGE_MANAGER),zypper)
 	mkdir -p $(DESTDIR)$(prefix)/lib/zypp/plugins/commit
 	$(INSTALL) zypper-etckeeper.py $(DESTDIR)$(prefix)/lib/zypp/plugins/commit/zypper-etckeeper.py
@@ -51,11 +55,15 @@
 	-$(PYTHON) ./etckeeper-bzr/__init__.py install --root=$(DESTDIR) ${PYTHON_INSTALL_OPTS} || echo "** bzr support not installed"
 	echo "** installation successful"
 
-clean:
+clean: etckeeper.spec etckeeper.version
 	rm -rf build
 
 etckeeper.spec:
 	sed -i~ "s/Version:.*/Version: $$(perl -e '$$_=<>;print m/\((.*?)\)/'<debian/changelog)/" etckeeper.spec
 	rm -f etckeeper.spec~
 
-.PHONY: etckeeper.spec
+etckeeper.version:
+	sed -i~ "s/Version:.*/Version: $$(perl -e '$$_=<>;print m/\((.*?)\)/'<debian/changelog)\"/" etckeeper
+	rm -f etckeeper~
+
+.PHONY: etckeeper.spec etckeeper.version

## etckeeper 1.18.5

=== Makefile ===
--- 
+++ 
@@ -9,6 +9,8 @@
 etcdir=/etc
 mandir=${prefix}/share/man
 vardir=/var
+systemddir=/lib/systemd/system
+completiondir=${prefix}/share/bash-completion/completions
 CP=cp -R
 INSTALL=install 
 INSTALL_EXE=${INSTALL}
@@ -22,18 +24,27 @@
 install: etckeeper.version
 	mkdir -p $(DESTDIR)$(etcdir)/etckeeper/ $(DESTDIR)$(vardir)/cache/etckeeper/
 	$(CP) *.d $(DESTDIR)$(etcdir)/etckeeper/
+	$(INSTALL_EXE) daily $(DESTDIR)$(etcdir)/etckeeper/daily
 	$(INSTALL_DATA) $(CONFFILE) $(DESTDIR)$(etcdir)/etckeeper/etckeeper.conf
 	mkdir -p $(DESTDIR)$(bindir)
 	$(INSTALL_EXE) etckeeper $(DESTDIR)$(bindir)/etckeeper
 	mkdir -p $(DESTDIR)$(mandir)/man8
 	$(INSTALL_DATA) etckeeper.8 $(DESTDIR)$(mandir)/man8/etckeeper.8
-	mkdir -p $(DESTDIR)$(etcdir)/bash_completion.d
-	$(INSTALL_DATA) bash_completion $(DESTDIR)$(etcdir)/bash_completion.d/etckeeper
+	mkdir -p $(DESTDIR)$(completiondir)
+	$(INSTALL_DATA) bash_completion $(DESTDIR)$(completiondir)/etckeeper
+	mkdir -p $(DESTDIR)$(systemddir)
+	$(INSTALL_DATA) systemd/etckeeper.service $(DESTDIR)$(systemddir)/etckeeper.service
+	$(INSTALL_DATA) systemd/etckeeper.timer $(DESTDIR)$(systemddir)/etckeeper.timer
 ifeq ($(HIGHLEVEL_PACKAGE_MANAGER),apt)
 	mkdir -p $(DESTDIR)$(etcdir)/apt/apt.conf.d
 	$(INSTALL_DATA) apt.conf $(DESTDIR)$(etcdir)/apt/apt.conf.d/05etckeeper
 	mkdir -p $(DESTDIR)$(etcdir)/cruft/filters-unex
 	$(INSTALL_DATA) cruft_filter $(DESTDIR)$(etcdir)/cruft/filters-unex/etckeeper
+endif
+ifeq ($(LOWLEVEL_PACKAGE_MANAGER),pacman)
+	mkdir -p $(DESTDIR)$(prefix)/share/libalpm/hooks
+	$(INSTALL_DATA) ./pacman-pre-install.hook $(DESTDIR)$(prefix)/share/libalpm/hooks/05-etckeeper-pre-install.hook
+	$(INSTALL_DATA) ./pacman-post-install.hook $(DESTDIR)$(prefix)/share/libalpm/hooks/zz-etckeeper-post-install.hook
 endif
 ifeq ($(LOWLEVEL_PACKAGE_MANAGER),pacman-g2)
 	mkdir -p $(DESTDIR)$(etcdir)/pacman-g2/hooks
@@ -59,11 +70,11 @@
 	rm -rf build
 
 etckeeper.spec:
-	sed -i~ "s/Version:.*/Version: $$(perl -e '$$_=<>;print m/\((.*?)\)/'<debian/changelog)/" etckeeper.spec
+	sed -i~ "s/Version:.*/Version: $$(perl -e '$$_=<>;m/\((.*?)(-.*)?\)/;print $$1;'<debian/changelog)/" etckeeper.spec
 	rm -f etckeeper.spec~
 
 etckeeper.version:
-	sed -i~ "s/Version:.*/Version: $$(perl -e '$$_=<>;print m/\((.*?)\)/'<debian/changelog)\"/" etckeeper
+	sed -i~ "s/Version:.*/Version: $$(perl -e '$$_=<>;m/\((.*?)(-.*)?\)/;print $$1;' <debian/changelog)\"/" etckeeper
 	rm -f etckeeper~
 
 .PHONY: etckeeper.spec etckeeper.version

=== pkgng/Makefile ===
.include <bsd.own.mk>

PREFIX?=	/usr/local
LIBDIR=		${PREFIX}/lib/pkg/
SHLIB_DIR?=	${LIBDIR}/
SHLIB_NAME?=	${PLUGIN_NAME}.so

PLUGIN_NAME=	etckeeper
SRCS=		etckeeper.c

PKGFLAGS!=	pkgconf --cflags pkg
CFLAGS+=	${PKGFLAGS}

beforeinstall:
	${INSTALL} -d ${LIBDIR}

.include <bsd.lib.mk>

## etckeeper 1.18.7

=== debian/changelog ===
etckeeper (1.18.7-1ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable LP: #1556563.  Remaining changes:
    - Use C.UTF-8 for LANG for consistent unicode support

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 26 May 2018 00:02:27 +0100

etckeeper (1.18.7-1) unstable; urgency=medium

  * New upstream release
  * port to Python3, no change (Closes: #883145)
  * tweak lintian override
  * bump to dh 10 compat
  * add debian watch file
  * add missing git dependency to fix test during build
  * add git buildpackage config
  * use https URLs everywhere in metadata
  * remove byte-compiled Python file as per policy
  * remove duplicate Section in debian/control

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 30 Nov 2017 09:49:56 -0500

etckeeper (1.18.7) unstable; urgency=medium

  * Added some unit tests.
    Thanks, Henrik Riomar.
  * etckeeper will work on systems that do not have perl installed.
    (perl is still used when available as it's faster)
    Thanks, William Johansson and radhus.
  * Prevent LC_ALL overriding the LC_COLLATE used to sort metadata.

 -- Joey Hess <id@joeyh.name>  Thu, 08 Jun 2017 12:58:20 -0400

etckeeper (1.18.6) unstable; urgency=medium

  * Only show errors (no progress indicators) when pushing Git/Mercurial repos
    to avoid unncessary cron mails.
    Thanks, Nils Steinger.
  * Fix regex in 20-warn-problem-files.
  * Added support for apk (alpine linux)
    Thanks, Henrik Riomar.

 -- Joey Hess <id@joeyh.name>  Sun, 29 Jan 2017 14:37:24 -0400

etckeeper (1.18.5-1ubuntu1) zesty; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - etckeeper: Ensure that LANG is set, default to UTF8, necessary for bzr
      to function properly in non-interactive shells (eg, cron); user's local
      LANG will override if set.  (Patch sent upstream)
  * Drop changes:
    - Erroneous commit in last merge
    - commit.d/50cvs-commit: ensure that bzr has valid user+email as check
      added by upstream
    - hostname as a dependency as this is an essential package

 -- Joshua Powers <josh.powers@canonical.com>  Wed, 08 Feb 2017 09:36:35 -0600

etckeeper (1.18.5-1) unstable; urgency=medium

  [Joey Hess]
  * New upstream release:
    * merged Makefile patch
    * update standards version, no change
  * Remove pre-compiled .pyc for bzr plugin from Debian package,
    and add python:Depends to Depends so that dh_python2 will install
    maintainer script snippets. Unfortunately, this adds a completely
    unnecessary dependency on python, which etckeeper does not need in
    normal operation.

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 01 Aug 2016 15:58:54 -0400

etckeeper (1.18.5) unstable; urgency=medium

  * Make etckeeper commit store metadata changes. The pre-commit
    hook has always (and continues) to do that, but pre-commit is only
    run when there are changes to tommit. This makes metadata-only
    changes get committed.
  * Move systemd files to /lib/systemd; /usr/lib/systemd is not used
    on Debian.

 -- Joey Hess <id@joeyh.name>  Sun, 17 Jul 2016 18:53:54 -0400

etckeeper (1.18.4) unstable; urgency=medium

  * Optimised find for special and hard linked files.
    Thanks, Rike-Benjamin Schuppner.
  * Adjust when Pacman 5 calls etckeeper hooks.
    Thanks, Tilman Blumenbach and Christian Hesse.
  * Only run Pacman hooks when files in /etc have changed.
    Thanks, Christian Hesse.
  * Added systemd timer that can run etckeeper 10 minutes after boot, and also
    daily. It's not enabled by default, partly because of overlap with the
    cron job.
    Thanks, Christian Hesse.

 -- Joey Hess <id@joeyh.name>  Mon, 20 Jun 2016 01:05:30 -0400

etckeeper (1.18.3) unstable; urgency=medium

  * Added support for pacmatic, contributed by nicolaichuk.
  * bzr: make sure EMAIL is defined
    Thanks, Serge E. Hallyn
  * Fix Makefile version patterns to ignore non-native version number
    (Antoine Beaupré)
  * Support ~/.config/git/config when determining the author name and email.
    Thanks, Richard Savio
  * Added support for Arch's pacman package manager version 5.
    Thanks, Tilman Blumenbach.
  * Set HOME if it's not set, as is the case when using ubuntu's
    update-manager.
  * Move bash completion out of etc and into usr.

 -- Joey Hess <id@joeyh.name>  Mon, 15 Feb 2016 13:11:20 -0400

etckeeper (1.18.2-1ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - etckeeper: Ensure that LANG is set, default to UTF8, necessary for bzr
      to function properly in non-interactive shells (eg, cron); user's local
      LANG will override if set.  (Patch sent upstream)
    - d/control: add hostname to build-depends
    - commit.d/50cvs-commit: ensure that bzr has valid user+email.  Note this
      patch has been sent upstream, so can hopefully be dropped soon.
    - preinst, postinst: do not change the default vcs if it etckeeper was
      already installed.  This is only needed because we are changing the
      default (Ubuntu used to default to bzr).  If admin hasn't changed
      anything, dpkg tries to be smart and update to the new default.  This
      can be removed in 16.10.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 08 Feb 2016 17:21:33 -0800

etckeeper (1.18.2-1) unstable; urgency=medium

  * Prepare upload to Debian unstable
  * Fix Makefile version patterns to ignore non-native version number
  * Fix lintian warnings:
    * remove .pyc files on build
    * install bash completions in standard location
    * ignore missing debian/config file, we ask only on purge on purpose
    * ignore full path for /usr/bin/etckeeper, we use it to stash it for
      later
  * Update to standards 3.9.6, no change
  * Remove obsolete XS-Python-Version field
  * Run debconf-updatepo, outdating a bunch of translations

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 14 Jan 2016 15:20:40 -0500

etckeeper (1.18.2) unstable; urgency=medium

  * Use getent utility instead of perl. (Elan Ruusamäe)


=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: etckeeper
 Section: admin
 Priority: optional
-Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.9.0), bzr (>= 1.5~), python
+Build-Depends: debhelper (>= 10~), dpkg-dev (>= 1.9.0), bzr (>= 1.5~), dh-python, python3, bats, fakeroot, git
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
-Standards-Version: 3.9.4
-XS-Python-Version: all
-Vcs-Git: git://git.kitenet.net/etckeeper
-Homepage: http://kitenet.net/~joey/code/etckeeper/
+XSBC-Original-Maintainer: Antoine Beaupré <anarcat@debian.org>
+Standards-Version: 3.9.8
+Vcs-Git: https://git.joeyh.name/git/etckeeper.git
+Vcs-Browser: https://git.joeyh.name/index.cgi/etckeeper.git/
+Homepage: https://etckeeper.branchable.com/
 
 Package: etckeeper
 Architecture: all
-Section: admin
-Depends: bzr (>= 1.5~) | git (>= 1:1.7) | mercurial | darcs, hostname, ${misc:Depends}
+Depends: git (>= 1:1.7) | mercurial | bzr (>= 1.5~) | darcs, ${misc:Depends}, ${python3:Depends}
 Recommends: cron-daemon
 Suggests: sudo (>= 1.7.4p4)
 Conflicts: bzr (<< 1.5~)

=== debian/rules ===
#!/usr/bin/make -f

export PYTHON_INSTALL_OPTS=--install-layout=deb

%:
	dh $@ --with python3

override_dh_installdocs:
	dh_installdocs -X.gitignore

override_dh_auto_install:
	dh_auto_install
	rm debian/etckeeper/usr/lib/python2.7/dist-packages/bzrlib/plugins/etckeeper/__init__.pyc

## etckeeper 1.18.10

=== debian/changelog ===
etckeeper (1.18.10-1ubuntu3) eoan; urgency=medium

  * Add breezy python3 plugin
  * Drop optional python2/python3 dependencies LP: #1826855

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 29 Apr 2019 14:24:23 +0100

etckeeper (1.18.10-1ubuntu1) disco; urgency=medium

  * Merge with Debian unstable (LP: #1815612). Remaining changes:
    - Use C.UTF-8 for LANG for consistent unicode support

 -- Karl Stenerud <kstenerud@gmail.com>  Wed, 13 Feb 2019 12:17:24 +0100

etckeeper (1.18.10-1) unstable; urgency=medium

  * New upstream release
  * update debhelper and standards version, no change

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 16 Jan 2019 13:51:37 -0500

etckeeper (1.18.10) unstable; urgency=medium

  * Avoid post-install failing when ps is from busybox or another
    version not supporting procps-specific options.
  * Use ps --no-headers rather than problimatic -h option.

 -- Joey Hess <id@joeyh.name>  Sun, 23 Dec 2018 13:05:44 -0400

etckeeper (1.18.9) unstable; urgency=medium

  * When run during a package installation, include in the commit
    message the command line that caused etckeeper to run.
    Thanks, Laszlo Gombos

 -- Joey Hess <id@joeyh.name>  Wed, 12 Dec 2018 01:01:05 -0400

etckeeper (1.18.8-1) unstable; urgency=medium

  * New upstream release (Closes: #850679)
  * Revert port to py3, requires bzrlib to port first (Closes: #906000)
  * update standards version, no change

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 21 Aug 2018 12:27:05 -0400

etckeeper (1.18.8) unstable; urgency=medium

  * Work around git commit's lack of robustness, by providing
    reasonable default values for GIT_COMMITTER_EMAIL etc.
    This was already done as part of the su/sudo handling,
    and is now always done.
  * Don't hardcode the master branch when pushing to PUSH_REMOTE.
    Instead, let git push whatever branches it is configured to
    push to that remote.

 -- Joey Hess <id@joeyh.name>  Tue, 05 Jun 2018 16:00:41 -0400

=== debian/control ===
Source: etckeeper
Section: admin
Priority: optional
Build-Depends: debhelper-compat (= 11),
               bats,
               brz,
               bzr,
               dh-python,
               dpkg-dev (>= 1.9.0),
               fakeroot,
               git,
               python,
               python3,
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Antoine Beaupré <anarcat@debian.org>
Standards-Version: 4.3.0
Vcs-Git: https://git.joeyh.name/git/etckeeper.git
Vcs-Browser: https://git.joeyh.name/index.cgi/etckeeper.git/
Homepage: https://etckeeper.branchable.com/

Package: etckeeper
Architecture: all
Depends: git (>= 1:1.7) | mercurial | brz | bzr (>= 1.5~) | darcs, ${misc:Depends}, ${python:Depends}, ${python3:Depends}
Recommends: cron-daemon
Suggests: sudo (>= 1.7.4p4)
Conflicts: bzr (<< 1.5~)
Description: store /etc in git, mercurial, brz, bzr or darcs
 The etckeeper program is a tool to let /etc be stored in a git, mercurial,
 bzr or darcs repository. It hooks into APT to automatically commit changes
 made to /etc during package upgrades. It tracks file metadata that version
 control systems do not normally support, but that is important for /etc, such
 as the permissions of /etc/shadow. It's quite modular and configurable, while
 also being simple to use if you understand the basics of working with version
 control.

=== debian/rules ===
#!/usr/bin/make -f

export PYTHON_INSTALL_OPTS=--install-layout=deb

%:
	dh $@ --with python2,python3

override_dh_installdocs:
	dh_installdocs -X.gitignore

override_dh_auto_install:
	dh_auto_install
	rm debian/etckeeper/usr/lib/python2.7/dist-packages/bzrlib/plugins/etckeeper/__init__.pyc

override_dh_python3:
	dh_python3
	# python is actually optional, if brz/bzr are installed
	sed '/^python:Depends/d;/^python3:Depends/d' -i debian/etckeeper.substvars
